import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRDataTypeLocationDescriptorStruct } from "./MTRDataTypeLocationDescriptorStruct.js";
export declare class _MTREcosystemInformationClusterEcosystemLocationStruct extends _NSObject {
    static alloc(): _MTREcosystemInformationClusterEcosystemLocationStruct;
    static new(): _MTREcosystemInformationClusterEcosystemLocationStruct;
    init(): _MTREcosystemInformationClusterEcosystemLocationStruct;
    uniqueLocationID(): _NSString;
    setUniqueLocationID$(value: _NSString): void;
    locationDescriptor(): _MTRDataTypeLocationDescriptorStruct;
    setLocationDescriptor$(value: _MTRDataTypeLocationDescriptorStruct): void;
    locationDescriptorLastEdit(): _NSNumber;
    setLocationDescriptorLastEdit$(value: _NSNumber): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTREcosystemInformationClusterEcosystemLocationStruct extends _NSCopying {
}
